Subject: Re: [lojban] Re: Back to the GNOME stuff

From: Rob Speer <[email-masked]>
Date: Tue, 15 May 2001 16:26:20 -0400

This was intended for the list.
****** Forwarded Message Follows *******

On Tue, May 15, 2001 at 06:56:19AM -0000, Adam Raizen wrote:
> Nice lujvo. Here are a few comments:
> 
> Rob Speer wrote:
> 
> > samru'e: skami pruce: running process; task
> > p1 is a computer process with inputs p2, outputs p3, passing through
> > stages/"pipes" p4
> 
> I realize that the word "skami" narrows down the meaning of the word 
> a bit, but what does "skami" really add? It doesn't really fit into 
> the place structure of "pruce". Is "pruce" by itself too broad?

I've now remembered that the word "samru'e" is already in the lujvo list, and
it has an x5 place of "on computer s1".

> > gunsfe: gunka sefta: desktop
> > s1 is a surface for working on g2
> 
> I think that's a surface of a worker. Maybe more like 'selgunsfe'.

The veljvo could be [se] gunka sefta, but I really don't think explicitly
including the optional "sel" is necessary for clarity.

> > plijdu: pilno sidju: tooltip
> > s1 is information that helps s2=p1 to use tool p2
> 
> 'plidju'

Yeah, typos happen.

> > * selviska'e: se viska kakne: visible
> > k1=v2 is able to be seen by v1 under conditions k3=v3
> > (changed from {viska'e})
> 
> 'ka'e se viska' is a bit simpler.

(Here the 'sel' is necessary because "viska'e" would probably refer to someone
who is not blind.)

Good point. I'll have to see if I use this enough to justify a lujvo.
Generally, I've tried to avoid lujvo when a tanru would do fine.

> > vidnysle: vidni selci: pixel
> > s1 is a pixel of screen s2=v1
> 
> I think that a vidnysle might be a physical part of the monitor. 
> Maybe "xrasle" for pixel. At any rate, whenever you want to say a 
> pixel of a picture, I think it has to be "xrasle".

Good point.

> > * mlumu'uxra: simlu muvdu pixra: animation
> > p1=m1=s1 is an animation showing p2 with frames m4
> > (changed from {mu'uxra})
> 
> Animation doesn't really move to somewhere from somewhere (or even 
> seem to). I think that it needs to be 'desku' or 'slilu'. Also, in my 
> opinion 'simlu' should come second ("desmluxra")

The gismu list itself defines "mlumu'u" as apparent motion as opposed to
actually moving from one place to another.

I think that using 'desku' or 'slilu' would be too specific.

> > * datnycpe: datni cpedu: dialog (datnycpe canko = dialog box)
> > c1 is a request for information c2=d1 about d2 by method c4=d3 by
> > questioner c3
> 
> I think that 'canko' is a bit too literal for window. 'jarco' may be 
> broad enough to cover it, especially in this case.

Everything done in a computer interface is a metaphor of some sort, and
'window' is a metaphor that has done rather well over the years. However, I
might be willing to concede "samca'o".

> > * nermutmi'i: nenri [ke] mucti minji: applet
> > (program which runs within another program)
> > mi1=mu1=n1 is an applet for use mi2 running within program n2
> > (changed from {cmamutmi'i})
> 
> se vasru mutmi'i maybe? ('selvau mutmi'i') I save 'nenri' for 
> physically inside.

"selvau mutmi'i" as a tanru wouldn't allow access to the n2 place, and
"selvaumutmi'i" is also a bit long for how much it comes up in GNOME.

Also, the "vasru" part implies that the parent program is just a container for
other programs, whereas it could do other things.

On a computer, "physically" you just have a bunch of magnetized domains and
electric charges. Sometimes you have to get a bit more abstract.

> > * datnymo'i: datni morji: memory
> > m1 temporarily stores, to be recalled, information m2=d1 about d2
> 
> That's not much different from just 'morji'. Also it's a memorizer, 
> not the memory itself, which would be something like selmojysro

Given the lujvo definition I made, the actual data that is remembered would be
"se datnymo'i" and not require a separate lujvo.

> > * primi'i: prina minji: printer
> > m1=p3 is a machine which prints p1 onto medium p2
> 
> I think it needs to be something like prifi'imi'i, since the machine 
> isn't being a print itself.

Since someone actually is inventing circuit boards which can be printed out, I
guess this distinction is important. I'll redefine it to:
* terprimi'i: te prina minji: printer

> > * fukcrupo'e: [temci ke] [nu] fukpi curmi ponse: copyright
> > p1 holds the copyright to p2=nu1 since date t2
> > (I accompany this with the (C) symbol so I don't offend a non-
> Lojbanist FSF
> > lawyer. Would it be better to leave the copyright notice in 
> English?)
> 
> I suggest something like 'fukfi'icruzi'e' (zifre lo nu curmi lo nu 
> finti lo fukpi) (or maybe just 'fukfi'izi'e') for copyright holder, 
> and ka fukfi'icruzi'e for copyright (which I suppose could be a se 
> ponse, since it can be bought and sold, though using ckaji might be a 
> little more lojbanic)

Funny. I had "fukyzi'e" at first and then changed my mind for some reason.
Anyway, I don't think "fukfi'i" is necessary... when you copy something, it's
implied that you create another copy. Adding "ka" helps also.

fukyzi'e: [temci ke] fukpi zifre: copyright holder
z1=f1 holds the copyright to f2 since date t2

> > * plixra: pilno pixra: usable picture; 'widget'
> > pix1=pil2 is a widget used for purpose pil3
> 
> Maybe 'selplixra' so that the places line up. How important is the 
> pil3 place?

Well, you have to be able to say it's a "maximize widget" or a "list box
widget" somehow.

Once again, I'll put in a [se] in the veljvo, but the Book really says that
"sel" in a lujvo is not usually necessary.

Thanks for the suggestions.
-- 
Rob Speer